import request from '@/config/axios'

// 企业套餐 API
export const EnterprisePackageApi = {
	// 查询分页
	getPackagePage: async (params: any) => {
		return await request.get({ url: `/menduner/system/enterprise-package/page`, params })
	},

	// 查询详情
	getPackageDetail: async (id: number) => {
		return await request.get({ url: `/menduner/system/enterprise-package/get?id=` + id })
	},

	// 新增
	createPackage: async (data: any) => {
		return await request.post({ url: `/menduner/system/enterprise-package/create`, data })
	},

	// 修改
	updatePackage: async (data: any) => {
		return await request.put({ url: `/menduner/system/enterprise-package/update`, data })
	},

	// 删除
	deletePackage: async (id: number) => {
		return await request.delete({ url: `/menduner/system/enterprise-package/delete?id=` + id })
	},

	// 导出 Excel
	exportPackage: async (params: any) => {
		return await request.download({ url: `/menduner/system/enterprise-package/export-excel`, params })
	}
}